;; print potential

(unless (= (length *posix-argv*) 2)
  (format t "usage: printpot filename~%")
  (exit :code 1))

(defun read-potential (pathname)
  (with-standard-io-syntax
    (with-open-file (s pathname)
      (read s))))

(defun print-potential (potential)
  (loop
     with w = (array-dimension potential 0)
     with h = (array-dimension potential 1)
     for j from (1- h) downto 0
     do (loop
	   for i below w
	   do (format t "~6,3F~:[ ~;~%~]"
		      (aref potential i j)
		      (eql i (1- w))))))

(print-potential (read-potential (pathname (second *posix-argv*))))
