(in-package :asdf-user)

(defsystem "tebdol"
  :description "TEBDOL is an implementation of the time-evolving block
  decimation algorithm for simulating evolution of ultracold atoms in
  optical lattices."
  :version "0.3.0"
  :author "Miroslav Urbanek <miroslav.urbanek@mff.cuni.cz>"
  :licence "GPL-3+"
  :serial t
  :components ((:file "util")
	       (:file "blas")
	       (:file "array")
	       (:file "exp")
	       (:file "tensor")
	       (:file "serial")
	       (:file "mpi")
	       (:file "mps")
	       (:file "part")
	       (:file "tebd")
	       (:file "bhm")
	       (:file "ttns")))
